# socketpath

Specifies the Darwin filter socket path that mmdarwin connects to.

This parameter applies to Darwin connector (mmdarwin).

Name:

  socketpath

Scope:

  input

Type:

  word

Default:

  input=none

Required?:

  yes

Introduced:

  at least 8.x, possibly earlier

## Description

The Darwin filter socket path to use.

## Input usage

    action(type="mmdarwin" socketPath="/path/to/reputation_1.sock")

## See also

See also Darwin connector (mmdarwin).

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.